View Issue Details

IDProjectCategoryView StatusLast Update
0002322Far ManagerCommand Line/Executepublic2013-03-05 01:34
ReporterDenisAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002322: Неверная отрисовка в viewer/editor
DescriptionЕсли запустить из Far'a комманду из приложенного архива, то последняя строка будет частично чёрной:
view:<test.bat

А вот если после test.bat будет дополнительный пробел, что чёрной полустроки уже не будет.
TagsNo tags attached.
Build3231

Activities

Denis

2013-03-03 20:16

reporter  

test.7z (183 bytes)

2useven10

2013-03-04 09:05

developer   bugnote:0010431

нет такого.
всё сообщение о том, что aaa не команда показывается одним цветом.

Denis

2013-03-04 10:54

reporter  

bug.png (11,702 bytes)
bug.png (11,702 bytes)

Denis

2013-03-04 10:54

reporter   bugnote:0010432

Last edited: 2013-03-04 10:54

View 2 revisions

Сейчас на работе, на ней на моих батниках баг не повторяется, но зато он стабильно повторятся на git'e, как в проложенном файле.
В самом низу, что в редакторе, что в viewer'e - кусок чёрного экрана.

Denis

2013-03-04 10:58

reporter  

bug2.png (12,944 bytes)
bug2.png (12,944 bytes)

Denis

2013-03-04 10:58

reporter   bugnote:0010433

А вот повторился и на батниках, запуск:
"edit:<test.bat "

Denis

2013-03-04 11:00

reporter   bugnote:0010434

Last edited: 2013-03-04 11:05

View 3 revisions

Кажется, я нашёл, как точно его воспроизвести. Команда должна быть уже в истории и включено автодополнение. Я начинаю набирать "edit", появляется окно автодополнения и я жму стрелке вниз и Enter. Похоже, это баг из автодополнения.

Denis

2013-03-04 14:45

reporter   bugnote:0010436

Last edited: 2013-03-04 15:09

View 4 revisions

Судя по коду, после инциализации редактора происходит пост-обработка авто-комплишена, который и рисует эту чёрную строку. Обработали автокомлишен и восстанавливаем после него коммандную строку, несмотря на то, что уже открыт редактор/просмотрщик.

Denis

2013-03-05 01:00

reporter   bugnote:0010444

Может, сменить у тикета категорию на "AutoComplete"?

2useven10

2013-03-05 01:07

developer   bugnote:0010445

Last edited: 2013-03-05 01:08

View 2 revisions

да уж точно не Viewer, но категории AutoComplete нет.
наиболее близкая, наверное, Commandline/execute...

Denis

2013-03-05 01:08

reporter   bugnote:0010446

Тогда Commandline/execute.

DrKnS

2013-03-05 01:31

administrator   bugnote:0010447

3231

Issue History

Date Modified Username Field Change
2013-03-03 20:16 Denis New Issue
2013-03-03 20:16 Denis File Added: test.7z
2013-03-04 09:05 2useven10 Note Added: 0010431
2013-03-04 10:54 Denis File Added: bug.png
2013-03-04 10:54 Denis Note Added: 0010432
2013-03-04 10:54 Denis Note Edited: 0010432 View Revisions
2013-03-04 10:58 Denis File Added: bug2.png
2013-03-04 10:58 Denis Note Added: 0010433
2013-03-04 11:00 Denis Note Added: 0010434
2013-03-04 11:01 Denis Note Edited: 0010434 View Revisions
2013-03-04 11:05 Denis Note Edited: 0010434 View Revisions
2013-03-04 14:45 Denis Note Added: 0010436
2013-03-04 14:59 Denis Note Edited: 0010436 View Revisions
2013-03-04 15:09 Denis Note Edited: 0010436 View Revisions
2013-03-04 15:09 Denis Note Edited: 0010436 View Revisions
2013-03-05 01:00 Denis Note Added: 0010444
2013-03-05 01:07 2useven10 Note Added: 0010445
2013-03-05 01:08 2useven10 Note Edited: 0010445 View Revisions
2013-03-05 01:08 Denis Note Added: 0010446
2013-03-05 01:10 2useven10 Category Viewer => Command Line/Execute
2013-03-05 01:31 DrKnS Note Added: 0010447
2013-03-05 01:31 DrKnS Assigned To => DrKnS
2013-03-05 01:31 DrKnS Status new => feedback
2013-03-05 01:33 Denis Status feedback => resolved
2013-03-05 01:34 DrKnS Build => 3231
2013-03-05 01:34 DrKnS Status resolved => closed
2013-03-05 01:34 DrKnS Resolution open => fixed
2013-03-05 01:34 DrKnS Fixed in Version => 3.0
2013-04-16 12:26 2useven10 Relationship added related to 0002370
2013-04-23 19:08 2useven10 Relationship deleted related to 0002370